Index: src/build.c
===================================================================
--- src/build.c	(Revision 2287)
+++ src/build.c	(Arbeitskopie)
@@ -254,11 +254,10 @@
 #endif
 	argv[term_argv_len + 2] = NULL;

-
-	if (! g_spawn_async(NULL, argv, NULL, G_SPAWN_DO_NOT_REAP_CHILD,
+	if (! utils_spawn_async(NULL, argv, NULL, G_SPAWN_DO_NOT_REAP_CHILD,
 						NULL, NULL, &(run_info.pid), &error))
 	{
-		geany_debug("g_spawn_async() failed: %s", error->message);
+		geany_debug("utils_spawn_async() failed: %s", error->message);
 		ui_set_statusbar(TRUE, _("Process failed (%s)"), error->message);

 		utils_free_pointers(executable, view_file, locale_filename, cmd_string, locale_cmd_string,
@@ -866,10 +865,10 @@
 #endif
 		argv[term_argv_len + 2] = NULL;

-		if (! g_spawn_async(working_dir, argv, NULL, G_SPAWN_DO_NOT_REAP_CHILD,
+		if (! utils_spawn_async(working_dir, argv, NULL, G_SPAWN_DO_NOT_REAP_CHILD,
 							NULL, NULL, &(run_info.pid), &error))
 		{
-			geany_debug("g_spawn_async() failed: %s", error->message);
+			geany_debug("utils_spawn_async() failed: %s", error->message);
 			ui_set_statusbar(TRUE, _("Process failed (%s)"), error->message);
 			g_unlink(RUN_SCRIPT_CMD);
 			g_error_free(error);
